- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# syscalls.h File Reference

`#include <ubixos/sched.h>`
`#include <vfs/file.h>`

Include dependency graph for syscalls.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef void(*) | functionPTR ()
## Functions
void | sysAddModule ()
void | sysAuth ()
void | sysChDir ()
void | sysCheckPid ()
void | sysExec ()
void | sysExit ()
void | sysFclose ()
void | sysFgetc ()
void | sysFopen ()
void | sysFork ()
void | sysFread ()
void | sysFseek ()
void | sysFwrite ()
void | sysGetCwd ()
void | sysGetDrives ()
void | sysGetFreePage ()
void | sysGetGid ()
void | sysGetpid ()
void | sysGetTime ()
void | sysGetUid ()
void | sysGetUptime ()
void | sysMkDir ()
void | sysMpiCreateMbox ()
void | sysMpiDestroyMbox ()
void | sysMpiFetchMessage ()
void | sysMpiPostMessage ()
void | sysMpiSpam ()
void | sysPasswd ()
void | sysRmDir ()
void | sysRmModule ()
void | sysSchedYield ()
void | sysSDE ()
void | sysSetGid ()
void | sysSetUid ()
void | sysStartSDE ()
void | sysUnlink ()
## Variables
functionPTR | systemCalls []
int | totalCalls = sizeof(systemCalls)/sizeof(functionPTR)

## Typedef Documentation

typedef void(*) functionPTR()

Definition at line 74 of file syscalls.h.

## Function Documentation

void sysAddModule | ( |  | ) |

Definition at line 119 of file syscall.c.

void sysAuth | ( |  | ) |

void sysChDir | ( |  | ) |

void sysCheckPid | ( |  | ) |

void sysExec | ( |  | ) |

void sysExit | ( |  | ) |

void sysFclose | ( |  | ) |

void sysFgetc | ( |  | ) |

void sysFopen | ( |  | ) |

void sysFork | ( |  | ) |

void sysFread | ( |  | ) |

void sysFseek | ( |  | ) |

void sysFwrite | ( |  | ) |

void sysGetCwd | ( |  | ) |

void sysGetDrives | ( |  | ) |

void sysGetFreePage | ( |  | ) |

void sysGetGid | ( |  | ) |

void sysGetpid | ( |  | ) |

void sysGetTime | ( |  | ) |

void sysGetUid | ( |  | ) |

void sysGetUptime | ( |  | ) |

void sysMkDir | ( |  | ) |

void sysMpiCreateMbox | ( |  | ) |

void sysMpiDestroyMbox | ( |  | ) |

void sysMpiFetchMessage | ( |  | ) |

void sysMpiPostMessage | ( |  | ) |

void sysMpiSpam | ( |  | ) |

void sysPasswd | ( |  | ) |

void sysRmDir | ( |  | ) |

Definition at line 88 of file file.c.

void sysRmModule | ( |  | ) |

Definition at line 124 of file syscall.c.

void sysSchedYield | ( |  | ) |

Definition at line 235 of file syscall.c.

References sched_yield().

Here is the call graph for this function:

void sysSDE | ( |  | ) |

void sysSetGid | ( |  | ) |

void sysSetUid | ( |  | ) |

void sysStartSDE | ( |  | ) |

Definition at line 239 of file syscall.c.

void sysUnlink | ( |  | ) |

## Variable Documentation

functionPTR systemCalls[]

Definition at line 76 of file syscalls.h.

int totalCalls = sizeof(systemCalls)/sizeof(functionPTR)

Definition at line 135 of file syscalls.h.